package com.jeffknecht.dynadao.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Used to indicate to the DynaDaoProxy that the
 * results of a find operation should be ordered 
 * according to the fields indicated in the annotation
 * value.
 * 
 * @author jeff.knecht
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface OrderBy {
	String value();
}
